API Reference (in progress)
***************************

**NOTE: This page is still a work in progress... We need to go through our
docstrings and make them sphinx-compliant, and figure out how to improve
formatting with the sphinx-bootstrap-theme plugin. Pull requests would be
very welcome.**


.. contents::
    :local:
    :depth: 2

future.builtins Interface
=========================

.. automodule:: future.builtins
    :members:

.. Docs are also in future-builtins.rst. Extract these and put them into the
.. relevant docstrings.


Backported types from Python 3
==============================

.. automodule:: future.types
    :members:


future.standard_library Interface
=================================

.. automodule:: future.standard_library
    :members:


future.utils Interface
======================

.. automodule:: future.utils
    :members:


past.builtins Interface
=========================

.. automodule:: past.builtins
    :members:

.. Docs are also in future-builtins.rst. Extract these and put them into the
.. relevant docstrings.


Forward-ported types from Python 2
==================================

.. automodule:: past.types
    :members:



.. bytes
.. -----
.. .. automodule:: future.types.newbytes
..
.. dict
.. -----
.. .. automodule:: future.types.newdict
..
.. int
.. ---
.. .. automodule:: future.builtins.backports.newint
..
.. range
.. -----
.. .. automodule:: future.types.newrange
..
.. str
.. ---
.. .. automodule:: future.types.newstr
